#
# spec file for package perl-Test-Needs
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Test-Needs
Name:           perl-Test-Needs
Version:        0.002010
Release:        1.8
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Skip tests when modules not available
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HAARG/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Skip test scripts if modules are not available. The requested modules will
be loaded, and optionally have their versions checked. If the module is
missing, the test script will be skipped. Modules that are found but fail
to compile will exit with an error rather than skip.

If used in a subtest, the remainder of the subtest will be skipped.

Skipping will work even if some tests have already been run, or if a plan
has been declared.

Versions are checked via a '$module->VERSION($wanted_version)' call.
Versions must be provided in a format that will be accepted. No extra
processing is done on them.

If 'perl' is used as a module, the version is checked against the running
perl version ($]). The version can be specified as a number, dotted-decimal
string, v-string, or version object.

If the 'RELEASE_TESTING' environment variable is set, the tests will fail
rather than skip. Subtests will be aborted, but the test script will
continue running after that point.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Mon Jan 23 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.002010
  see /usr/share/doc/packages/perl-Test-Needs/Changes
  0.002010 - 2023-01-22
  - split main test into three separate scripts
  - avoid outputting multiple plans if used with no_plan
* Wed May 26 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.002009
  see /usr/share/doc/packages/perl-Test-Needs/Changes
  0.002009 - 2021-05-25
  - fix warnings from Test::Builder if Test::Needs is loaded first, and is
    used to check for a Test module.
  - fix location in code reported when a module check fails.
  - support short forms of perl versions
  - support perl versions greater than 5
  - fix handling of v-string versions on perl 5.6
  0.002_008 - 2019-07-12
  - fix test compatibility with Windows.
  0.002_007 - 2019-07-09
  - fix tests when @INC includes directories that shouldn't have their
    archname or version subdirectories added.
* Fri Apr  5 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.002006
  see /usr/share/doc/packages/perl-Test-Needs/Changes
  0.002006 - 2019-04-04
  - added additional references to related modules in pod
  - various internal cleanups
  - fix backwards compatibility with earlier versions of version.pm
  - fix output from test script when tests fail
  - added note about RELEASE_TESTING to test message on forced failures
* Tue Sep 27 2016 coolo@suse.com
- updated to 0.002005
  see /usr/share/doc/packages/perl-Test-Needs/Changes
  0.002005 - 2016-09-27
  - fix skipping when Test::Tester (Test::More < v2) is loaded
* Fri Aug 19 2016 coolo@suse.com
- updated to 0.002004
  see /usr/share/doc/packages/perl-Test-Needs/Changes
  0.002004 - 2016-08-18
  - fix test counts when Test2 not available
  0.002003 - 2016-08-18
  - fix loud warnings when aborting a test under Test2
  - some kwalitee improvements
* Sun Jun 12 2016 coolo@suse.com
- initial package 0.002002
  * created by cpanspec 1.78.08
